import { createApp } from 'vue'
import { createPinia } from 'pinia'
import axios from 'axios'
import VueAxios from 'vue-axios'
import mitt from 'mitt';

import './assets/app.scss'

import App from './App.vue'
import router from './router'

axios.defaults.withCredentials = true;

const app = createApp(App)

app.config.globalProperties.emitter = mitt();

app.use(createPinia())
app.use(VueAxios, axios)

app.use(router)

app.mount('#app')
