import { createRouter, createWebHistory } from 'vue-router'

const router = createRouter({
	history: createWebHistory(import.meta.env.BASE_URL),
	routes: [
		/**
		 * General
		 */
		{
			path: '/',
			name: 'home',
			component: () => import('../views/HomeView.vue'),
		},

		/**
		 * String manipulation
		 */
		{
			path: '/str_to_upper',
			name: 'str_to_upper',
			component: () => import('../views/StrToUpper.vue'),
		},
		{
			path: '/str_to_lower',
			name: 'str_to_lower',
			component: () => import('../views/StrToLower.vue'),
		},

		/**
		 * SQL manipulation
		 */
		{
			path: '/sql_split_in',
			name: 'sql_split_in',
			component: () => import('../views/SQLSplitInView.vue'),
		},
	],
})

export default router
